package com.izouma.awesomeadmin.model;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;

@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class RongYunToken {

    private Long id;

    private String userId;

    private String token;

    private Integer typeFlag;


    public Long getId() {

        return id;
    }


    public void setId(Long id) {

        this.id = id;
    }


    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getToken() {

        return token;
    }


    public void setToken(String token) {

        this.token = token;
    }

    public Integer getTypeFlag() {
        return typeFlag;
    }

    public void setTypeFlag(Integer typeFlag) {
        this.typeFlag = typeFlag;
    }

    @Override
    public String toString() {

        return "RongYunToken [id=" + id + ", userId=" + userId + ", token=" + token + "]";
    }

}